Inhalte
Index 🔎︎

# Funktion Rnd

Ermittelt einen Zufallswert zwischen 0 und 1.

## Syntax:

    Rnd [(Ausdruck)]

## Rückgabewert:

Double

## Parameter:

Ausdruck: Hat keine Auswirkung, wird ignoriert, falls angegeben.

Die Funktion Rnd ergibt Dezimalbrüche, die zwischen 0 (eingeschlossen) und 1 (nicht eingeschlossen) gleichmäßig verteilt liegen. Sie verwendet den Mersenne-Twister-19937-Zufallszahlengenerator. Um zufällige ganze Zahlen in einem bestimmten Intervall zu erzeugen, verwenden Sie eine Formel wie im Beispiel unten. Eine Anweisung Randomize mit einem definierten Startwert kann vorab verwendet werden, falls eine reproduzierbare Zahlenreihe gewünscht ist.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleRandomSelect
    Dim iVar As Integer
        iVar = Int((15 * Rnd) -2)
        Select Case iVar
            Case 1 To 5
                Print "Zahl von 1 bis 5"
            Case 6, 7, 8
                Print "Zahl von 6,7 oder 8"
            Case Is > 8 And iVar < 11
                Print "Größer als 8"
            Case Else
                Print "Außerhalb von 1 bis 10"
        End Select
    End Sub

Verwandte Themen

Anweisung Randomize